<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Alpha установщик')."";
ECHO "</div>";

$archive = DB::GET_STRING("SELECT * FROM `PANEL_ALPHA_INSTALL` WHERE `ACT` = '0' AND `ID` = '".INTVAL(GET('id'))."' LIMIT 1");

IF (!ISSET($archive['ID'])){

  ERROR('Неверная директива', 'session');
  REDIRECT('/panel/?path=system&section=alpha_install');

}

//Проверка содержимого архива
REQUIRE ROOT.'/panel/alpha_install/plugins/testing.php';

ECHO "<div class='fon'>";
ECHO "".LG('Установка нового компонента').":<br />";

ECHO "<table style='width: 100%;'><tr>";
  
ECHO "<td class='td-file'>";
ECHO "".FILE::ICONS($archive['EXT'])."";
ECHO "</td>";
  
ECHO "<td class='td-file2'>";
ECHO "<b>".TEXT_ABSOLUTE($archive['NAME'])."</b><p>";
ECHO ICONS('clock-o', 15, 'fa-fw');
ECHO FTIME($archive['TIME']);
ECHO " <span class='count'>".SIZE_FILE($archive['SIZE'])."</span>";
ECHO "</p></td>";
  
ECHO "</tr></table>";

ECHO "<a href='?path=system&section=alpha_install' class='panel-button'>".ICONS('times', 15, 'fa-fw')." ".LG('Отменить')."</a> ";

ECHO "</div>";

ECHO "<div class='fon'>";
  
ECHO "<font size='+1'>".LG('Ознакомление')."</font>";
  
ECHO "<div class='file-content2'>";
ECHO "<div style='padding: 10px;'>";
  
ECHO "
  
<small>
  
1. Скачанные компоненты из открытого доступа в сети интернет могут содержать в себе вредоносные коды для взлома и кражи данных с вашего сервера, а так же прочие коды, например для удаления всех пользователей вашего сайта. Настоятельно рекомендуется брать компоненты только с официального сайта - <a href='http://alpha-cms.ru'>Alpha-CMS.Ru</a>.<br /><br />
  
2. Некачественное содержимое внутри архива от неизвестного разработчика может привести к сбою системы или поломке некоторых компонентов движка.<br /><br />

3. Настоятельно не рекомендуется экспериментировать с установкой компонентов от других движков или вовсе - загружать в Alpha установщик архивы с абсурдным с точки зрения программирования содержимым.<br /><br />

4. Рекомендуется устанавливать исключительно те компоненты, которые есть на официальном сайте от разработчика движка - <a load='none' href='http://alpha-cms.ru'>Alpha-CMS.Ru</a>. Установка компонентов от разных разработчиков со временем может привести к технической деградации движка и тупику в развитии. Дальшейшая техническая поддержка движка может стать невозможной.<br /><br />

5. При появлении ошибок после окончания установки компонента, рекомендуется обратиться в службу <a load='none' href='http://alpha-cms.ru/modules/support/'>технической поддержки</a>.
  
</small>
  
";
  
ECHO "</div>";
ECHO "</div>";
  
ECHO "<br />";

ECHO "".LG('Содержимое архива будет распаковано в корневую директорию').":<br />";

ECHO "<div class='file-content2'>";
ECHO "<div style='padding: 10px;'>";
ECHO "<b>".ROOT."/ ".LG('здесь')."</b>";
ECHO "</div>";
ECHO "</div>";

ECHO "<br />";
  
ECHO "<a href='?path=alpha_install&id=".INTVAL(GET('id'))."&install=ok' class='panel-button2'>".ICONS('plus', 15, 'fa-fw')." ".LG('Установить')."</a>";

REQUIRE ROOT.'/panel/alpha_install/plugins/install.php';

ECHO "</div>";
  
?>